
$object = 'L1_vertebra'


@muscles1 = ("DIGASTRIC", "GENIOHYOID", "LATERAL_PTERYGOID_LEFT", "LATERAL_PTERYGOID_LEFT", "MASSETER_LEFT","MASSETER_RIGHT","MEDIAL_PTERYGOID_LEFT","MEDIAL_PTERYGOID_RIGHT","MYLOHYOID","TEMPORALIS_LEFT","TEMPORALIS_RIGHT");

$original_folder = '/hpc_atog/bshi013/vertebra/Lumbar/vertebra/L1_images/'
$root = '/hpc/bshi013/validations/common_files/'

#fem def para;r;$object;$original_folder       # Declares array dimensions   
fem def para;r;shaft;$root
fem def coord;r;$object;$original_folder      # Defines the coordinate system
fem def bases;r;$object;$original_folder      # Defines tri-cubic Hermite basis functions

$tx=55
$ty=48
$tz= 95


$LOOP = scalar(@muscles1);

for($i=0; $i < $LOOP; $i++){
	#set dir "/hpc_atog/bshi013/SPARC/ANATML/SKULL/MUSCLES/"
	set dir $muscles1[$i]

	fem def node;r;$muscles1[$i]
	fem def elem;r;$muscles1[$i]


	fem change node translate by $tx,$ty,$tz
	
	fem export node;${muscles1[$i]}_transformed as ${muscles1[$i]}_transformed
	fem export elem;${muscles1[$i]}_transformed as ${muscles1[$i]}_transformed
	
	fem cancel nodes
	fem cancel elements

}

